<?php
namespace app\workerapi\logic;
use app\common\logic\BaseLogic;
use app\common\model\master_worker_customer\MasterWorkerCustomer;

/**
 * @author 林海涛
 * @date 2024/7/10 下午5:46
 */
class MasterWorkerCustomerLogic extends BaseLogic
{
    public static function submitCustomerProblem($params, $userId)
    {
        try {
            MasterWorkerCustomer::create([
                'worker_id' => $userId,
                'name' => $params['name'],
                'mobile' => $params['mobile'],
                'problem' => $params['problem'],
            ]);
            return true;
        } catch (\Exception $e) {
            self::setError($e->getMessage());
            return false;
        }
    }
}